#ifndef DIALOGADVANCEDSETTING_H
#define DIALOGADVANCEDSETTING_H

#include <QDialog>

namespace Ui {
class DialogAdvancedSetting;
}

class DialogAdvancedSetting : public QDialog
{
    Q_OBJECT

public:
    explicit DialogAdvancedSetting(QWidget *parent = nullptr);
    ~DialogAdvancedSetting();

    bool IsAutoVideoCapture();
    bool IsAutoCaptureSendDICOM();
    bool IsAutoExitCaptureSendDICOM();
    bool IsAutoCloseSendFinish();
    bool IsAutoLogin();
    bool IsCropMode();
    bool IsUseFixWidthLevel();
    bool IsUseLogLevel();
    bool IsUseUSBBackup();

    int GetScreenSaverTime();

    QString GetDICOM_CharacterSet();

protected:
    QString m_strCharacterSet;

private slots:
    void on_comboBox_DICOM_CharacterSet_currentIndexChanged(const QString &arg1);

    void on_pushButton_Save_clicked();
    void on_pushButton_Cancel_clicked();

private:
    Ui::DialogAdvancedSetting *ui;
};

#endif // DIALOGADVANCEDSETTING_H
